org.apache.maven.scm.command.export

## Class AbstractExportCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.export.AbstractExportCommand

All Implemented Interfaces:
  Command

Direct Known Subclasses:
  AbstractCvsExportCommand, SvnExeExportCommand

    public abstract class AbstractExportCommand
    extends AbstractCommand

Version:
  $Id: AbstractExportCommand.java 685539 2008-08-13 13:27:27Z vsiveton $
Author:
  Emmanuel Venisse

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`AbstractExportCommand()`

### Method Summary

Methods
`protected ScmResult` `executeCommand(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`
`protected abstract ExportScmResult` `executeExportCommand(ScmProviderRepository repository, ScmFileSet fileSet, ScmVersion scmVersion, String outputDirectory)`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractExportCommand

    public AbstractExportCommand()

### Method Detail

#### executeExportCommand

    protected abstract ExportScmResult executeExportCommand(ScmProviderRepository repository,
                                       ScmFileSet fileSet,
                                       ScmVersion scmVersion,
                                       String outputDirectory)
                                                     throws ScmException

Throws:
  `ScmException`

#### executeCommand

    protected ScmResult executeCommand(ScmProviderRepository repository,
                           ScmFileSet fileSet,
                           CommandParameters parameters)
                                throws ScmException

Specified by:
  `executeCommand` in class `AbstractCommand`
Throws:
  `ScmException`